> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://okx-demo.ferndocs.com/api/api-reference/public-data/get-insurance-fund/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://okx-demo.ferndocs.com/_mcp/server. # Get insurance fund GET https://www.okx.com/api/v5/public/insurance-fund Retrieve the balance of the insurance fund and its change history for the given instrument type. Reference: https://okx-demo.ferndocs.com/api/api-reference/public-data/get-insurance-fund ## Request ### Query parameters - `instType` (enum, required) — Instrument type. - Allowed values: `MARGIN`, `SWAP`, `FUTURES`, `OPTION` - `type` (enum, optional) — Type of insurance-fund activity. - Allowed values: `liquidation_balance_deposit`, `bankruptcy_loss`, `platform_revenue`, `adl` - `uly` (string, optional) — Underlying, e.g. BTC-USD. Required for FUTURES/SWAP/OPTION when instFamily is not passed. - `instFamily` (string, optional) — Instrument family, e.g. BTC-USD. Required for FUTURES/SWAP/OPTION when uly is not passed. - `ccy` (string, optional) — Currency, only applicable to MARGIN. - `before` (string, optional) — Pagination of data to return records newer than the requested ts, Unix timestamp in milliseconds. - `after` (string, optional) — Pagination of data to return records earlier than the requested ts, Unix timestamp in milliseconds. - `limit` (string, optional) — Number of results per request. The maximum is 100; the default is 100. ## Response ### 200 Successful response - `code` (string, optional) — Result code. `0` means success; any other value is an error code. - `msg` (string, optional) — Error message. Empty on success. - `data` (list of ApiV5PublicInsuranceFundGetResponsesContentApplicationJsonSchemaDataItems, optional) ## Types ### ApiV5PublicInsuranceFundGetResponsesContentApplicationJsonSchemaDataItems - `instFamily` (string, optional) — Instrument family. Applicable to FUTURES/SWAP/OPTION. - `instType` (string, optional) — Instrument type. - `ccy` (string, optional) — Currency. - `details` (list of ApiV5PublicInsuranceFundGetResponsesContentApplicationJsonSchemaDataItemsDetailsItems, optional) — Insurance fund details. ### ApiV5PublicInsuranceFundGetResponsesContentApplicationJsonSchemaDataItemsDetailsItems - `balance` (string, optional) — Balance of the insurance fund. - `amt` (string, optional) — Change in the balance of the insurance fund. - `ccy` (string, optional) — Currency of the insurance fund. - `type` (string, optional) — Type of the change in the insurance fund. - `maxBal` (string, optional) — Maximum insurance fund balance in the past eight hours. Only applicable to adl. - `maxBalTs` (string, optional) — Timestamp when the maximum balance was reached, Unix timestamp in milliseconds. Only applicable to adl. - `decRate` (string, optional) — Real-time insurance fund decline rate (only applicable to adl). - `adlType` (string, optional) — ADL-related events: rate_adl_start, cease_adl_start, position_adl_start, or fee_adl_start. - `ts` (string, optional) — Update time, Unix timestamp in milliseconds. ## Examples **Response** ```json { "code": "0", "msg": "", "data": [ { "instFamily": "ETH-USD", "instType": "OPTION", "details": [ { "balance": "1369179138.7489", "amt": "1343.1308", "ccy": "ETH", "type": "liquidation_balance_deposit", "maxBal": "", "maxBalTs": "", "adlType": "", "ts": "1704883083000" } ], "total": "1369179138.7489" } ] } ``` **SDK Code** ```python publicData_getInsuranceFund_example import requests url = "https://www.okx.com/api/v5/public/insurance-fund" querystring = {"instType":"MARGIN"} response = requests.get(url, params=querystring) print(response.json()) ``` ```javascript publicData_getInsuranceFund_example const url = 'https://www.okx.com/api/v5/public/insurance-fund?instType=MARGIN'; const options = {method: 'GET'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go publicData_getInsuranceFund_example package main import ( "fmt" "net/http" "io" ) func main() { url := "https://www.okx.com/api/v5/public/insurance-fund?instType=MARGIN" req, _ := http.NewRequest("GET", url, nil) res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby publicData_getInsuranceFund_example require 'uri' require 'net/http' url = URI("https://www.okx.com/api/v5/public/insurance-fund?instType=MARGIN") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) response = http.request(request) puts response.read_body ``` ```java publicData_getInsuranceFund_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://www.okx.com/api/v5/public/insurance-fund?instType=MARGIN") .asString(); ``` ```php publicData_getInsuranceFund_example request('GET', 'https://www.okx.com/api/v5/public/insurance-fund?instType=MARGIN'); echo $response->getBody(); ``` ```csharp publicData_getInsuranceFund_example using RestSharp; var client = new RestClient("https://www.okx.com/api/v5/public/insurance-fund?instType=MARGIN"); var request = new RestRequest(Method.GET); IRestResponse response = client.Execute(request); ``` ```swift publicData_getInsuranceFund_example import Foundation let request = NSMutableURLRequest(url: NSURL(string: "https://www.okx.com/api/v5/public/insurance-fund?instType=MARGIN")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```